No package for 'bootstrap-fontawesome' #1

wraithmonster opened this Issue Apr 1, 2012 · 2 comments

2 participants


I tried to install using your tutorial on, but I got the following message.

Error: No package for 'bootstrap-fontawesome'
at Object.dependencyError (/usr/lib/node_modules/kanso/lib/tree.js:211:16)
at Object.updateDep (/usr/lib/node_modules/kanso/lib/tree.js:176:33)
at Object.addDependency (/usr/lib/node_modules/kanso/lib/tree.js:123:28)
at /usr/lib/node_modules/kanso/lib/tree.js:129:32
at /usr/lib/node_modules/kanso/lib/tree.js:172:20
at /usr/lib/node_modules/kanso/lib/repository.js:443:9
at /usr/lib/node_modules/kanso/node_modules/async/lib/async.js:105:25
at /usr/lib/node_modules/kanso/lib/repository.js:439:13
at /usr/lib/node_modules/kanso/lib/repository.js:195:9
at IncomingMessage. (/usr/lib/node_modules/kanso/lib/couchdb.js:226:25)


Sorry, I haven't added it to the kanso repo yet, I ran into a little snag because latest bootstrap (2.0.2) requires less 1.3.0 so I need to update the less package as well. It's probably easier to just use the kanso bootstrap package and add the font-awesome support yourself at this point. It's super easy. kanso-bootstrap-fontawesome was mostly just me being excited about font-awesome, I'm not sure how useful it really is since it's so easy to integrate. On the other hand it's always nice to have a package...


No problem. I'm using your bootstrap repo and love it, so I figured I'd search for a fontawesome package before manually doing it myself - and your name came up! I'll keep my eye on this project, but until then I'll install it manually. Keep up the good work!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment